cURL
curl https://api.apipod.ai/v1/images/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}'import os
import requests
payload = {
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}
response = requests.post(
"https://api.apipod.ai/v1/images/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/images/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/images/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/images/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "img_task_01JEXAMPLE"
}
}Seedream V5.0 Lite
Seedream 5.0 Lite Image to Image
Seedream 5.0 Lite Edit is APIPod’s efficiency-oriented Seedream 5 route for reference-guided image editing and subject-consistent transformations.
POST
https://api.apipod.ai
/
v1
/
images
/
generations
cURL
curl https://api.apipod.ai/v1/images/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}'import os
import requests
payload = {
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}
response = requests.post(
"https://api.apipod.ai/v1/images/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"os"
)
func main() {
payload := map[string]any{}
if err := json.Unmarshal([]byte(`{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}`), &payload); err != nil {
panic(err)
}
body, err := json.Marshal(payload)
if err != nil {
panic(err)
}
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/images/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/images/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/images/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify(
{
"model": "seedream-5.0-lite-edit",
"prompt": "Animate the subject with a slow camera push-in, natural motion, and soft cinematic lighting.",
"image_urls": [
"https://cdn.example.com/reference-1.jpg"
],
"quality": "2K",
"aspect_ratio": "1:1"
}
),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "img_task_01JEXAMPLE"
}
}Authorizations
Use your APIPod API key as a Bearer token in the Authorization header.
Body
application/json
Public APIPod model ID.
Allowed value:
"seedream-5.0-lite-edit"Describe the content of the image to be edit.
Maximum string length:
2000Output image resolution.
Available options:
2K, 3K The generated image's width and height aspect ratio.
Available options:
1:1, 2:3, 3:2, 3:4, 4:3, 16:9, 9:16, 21:9 ⌘I